SUBDIRS = soap tdeioslave

INCLUDES = -I$(top_srcdir) $(all_includes)

lib_LTLIBRARIES = libkcal_groupwise.la libtdeabc_groupwise.la

libkcal_groupwise_la_SOURCES = kcal_resourcegroupwise.cpp \
	kcal_resourcegroupwiseconfig.cpp kcal_groupwiseprefsbase.kcfgc kcal_groupwiseprefs.cpp \
	groupwisesettingswidget.cpp groupwisesettingswidgetbase.ui
libkcal_groupwise_la_LDFLAGS = $(KDE_RPATH) $(all_libraries) \
                               -version-info 1:0:0 -no-undefined
libkcal_groupwise_la_LIBADD = soap/libgwsoap.la \
                              $(top_builddir)/libkcal/libkcal.la \
                              $(top_builddir)/libtdepim/libtdepim.la

libtdeabc_groupwise_la_SOURCES = tdeabc_resourcegroupwise.cpp \
                               tdeabc_resourcegroupwiseconfig.cpp \
                               tdeabc_groupwiseprefs.kcfgc
libtdeabc_groupwise_la_LDFLAGS = $(KDE_RPATH) $(all_libraries) \
                               -version-info 1:0:0 -no-undefined
libtdeabc_groupwise_la_LIBADD = soap/libgwsoap.la \
                              $(top_builddir)/libkcal/libkcal.la \
                              $(top_builddir)/libtdepim/libtdepim.la \
                              -ltdeabc


kde_module_LTLIBRARIES = kcal_groupwise.la tdeabc_groupwise.la

kcal_groupwise_la_SOURCES = kcal_resourcegroupwise_plugin.cpp
kcal_groupwise_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
kcal_groupwise_la_LIBADD = libkcal_groupwise.la

tdeabc_groupwise_la_SOURCES = tdeabc_resourcegroupwise_plugin.cpp
tdeabc_groupwise_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
tdeabc_groupwise_la_LIBADD = libtdeabc_groupwise.la

kcal_servicedir = $(kde_servicesdir)/tderesources/kcal
kcal_service_DATA = kcal_groupwise.desktop

tdeabc_servicedir = $(kde_servicesdir)/tderesources/tdeabc
tdeabc_service_DATA = tdeabc_groupwise.desktop

METASOURCES = AUTO

messages: rc.cpp
	$(XGETTEXT) *.cpp soap/*.cpp -o $(podir)/kres_groupwise.pot
noinst_HEADERS = groupwisesettingswidget.h
